## telepathy-logger 0.4.5-0ubuntu1newyork11

=== examples/Makefile ===
CC=gcc
CFLAGS=`pkg-config --cflags telepathy-logger-0.2`
LIBS=`pkg-config --libs telepathy-logger-0.2 glib-2.0`
OBJ = main.o

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

list_log: $(OBJ)
	$(CC) -o $@ $^ $(CFLAGS) $(LIBS)

.PHONY: clean

clean:
	rm -f *.o *~ core

## telepathy-logger 0.1.5

=== debian/changelog ===
telepathy-logger (0.1.5-1ubuntu1) maverick; urgency=low

  * Recommends libdconf0 since the logger uses it

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 31 Aug 2010 15:32:19 +0200

telepathy-logger (0.1.5-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.9.1 (no further changes)
    - Drop gconf build-dependency and bump libglib2.0-dev
  * debian/telepathy-logger.install: Install dconf schema instead of gconf one
  * debian/libtelepathy-logger1.symbols: Adjust symbols file

 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Aug 2010 00:34:45 +0200

telepathy-logger (0.1.4-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * New upstream release
  * Bump debhelper compat version
  * Bump Standards-Version to 3.9.0 (no further changes)

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 20 Jul 2010 10:42:45 +0100

telepathy-logger (0.1.3-2) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/watch: Fix watch URL

  [ Sebastien Bacher ]
  * Use a .symbol for libtelepathy-logger1 (Closes: #587653)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 04 Jul 2010 19:02:34 +0100

telepathy-logger (0.1.3-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 29 Jun 2010 23:09:34 +0100

telepathy-logger (0.1.2-1) experimental; urgency=low

  * Initial release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 19 Jun 2010 15:26:04 +0100

=== debian/control ===
Source: telepathy-logger
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Dafydd Harries <daf@debian.org>,
           Simon McVittie <smcv@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Laurent Bigonville <bigon@debian.org>,
           Jonny Lamb <jonny@debian.org>
Build-Depends: debhelper (>= 7.4),
               dbus,
               libglib2.0-dev (>= 2.25.11),
               libdbus-glib-1-dev (>= 0.82),
               libdbus-1-dev (>= 0.1.0),
               libtelepathy-glib-dev (>= 0.11.5),
               pkg-config (>= 0.21),
               gnome-doc-utils (>= 0.17.3),
               gtk-doc-tools (>= 1.10),
               libsqlite3-dev,
               libxml2-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-logger.git
Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-logger.git
Homepage: http://telepathy.freedesktop.org/wiki/

Package: telepathy-logger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libdconf0
Description: Telepathy logger service - Daemon
 This package contains the Telepathy Logger daemon.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-logger1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telepathy logger service - utility library
 This package contains a utility library to access Telepathy log files
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-logger-dev
Architecture: any
Section: libdevel
Depends: libtelepathy-logger1 (= ${binary:Version}), libglib2.0-dev (>= 2.22), libdbus-glib-1-dev (>= 0.11.5), pkg-config (>= 0.21), ${misc:Depends}
Suggests: libtelepathy-logger-doc
Description: Telepathy logger service -- utility library (headers)
 This package contains development files for the Telepathy logger utility
 library
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-logger1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libtelepathy-logger1 (= ${binary:Version}), ${misc:Depends}
Description: Telepathy logger service -- debug symbols
 This package contains support for debugging programs that use the Telepathy
 logger library and for the Telepathy logger daemon.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-logger-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: Telepathy logger service -- documentation
 This package contains HTML documentation for the Telepathy logger utility
 library.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir="\$${prefix}/lib/telepathy" \
		--disable-Werror \
		--enable-gtk-doc \
		--with-html-dir=\$${prefix}/share/doc/libtelepathy-logger-doc

override_dh_strip:
	dh_strip --dbg-package=libtelepathy-logger1-dbg

# commands not to run
override_dh_auto_test:

## telepathy-logger 0.2.6

=== debian/changelog ===
telepathy-logger (0.2.6-1ubuntu1) natty; urgency=low

  * debian/patches/git_eat_cpu.patch: git commit to fix a case where 
    telepathy-logger can start eating cpu (lp: #745803)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 31 Mar 2011 15:52:35 +0200

telepathy-logger (0.2.6-1) experimental; urgency=low

  * New upstream release.
    + debian/control:
      - Bump the libtelepathy-glib-dev minimum build dependency.
    + debian/libtelepathy-logger2.symbols:
      - Updated for the new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 23 Mar 2011 16:02:13 +0000

telepathy-logger (0.2.5-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 05 Mar 2011 15:30:48 +0000

telepathy-logger (0.2.4-1) experimental; urgency=low

  * New upstream release.
    + debian/control:
      - Remove build dependency on gnome-doc-utils.
    + debian/control,
      debian/rules:
      - Enable introspection support.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 02 Mar 2011 09:26:10 +0000

telepathy-logger (0.2.3-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 01 Mar 2011 08:34:45 +0000

telepathy-logger (0.2.1-1) experimental; urgency=low

  * New upstream release.
    + debian/libtelepathy-logger[12].*,
      debian/libtelepathy-logger-dev.install,
      debian/control,
      debian/rules:
      - Update for the new SONAME.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 24 Feb 2011 18:07:40 +0000

telepathy-logger (0.1.7-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/control: make telepathy-logger package hard-depend on
    the same version of the library (Closes: #601026)

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * debian/libtelepathy-logger1.symbols:
    - Updated.
  * debian/control:
    - Add myself to Uploaders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 29 Nov 2010 14:36:29 +0100

telepathy-logger (0.1.6-1) experimental; urgency=low

  * New upstream release
  * debian/control: Add recommends for libdconf0 on telepathy-logger package

 -- Laurent Bigonville <bigon@debian.org>  Wed, 13 Oct 2010 16:38:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,27 @@
 Source: telepathy-logger
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
 Uploaders: Dafydd Harries <daf@debian.org>,
            Simon McVittie <smcv@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Laurent Bigonville <bigon@debian.org>,
-           Jonny Lamb <jonny@debian.org>
+           Jonny Lamb <jonny@debian.org>,
+           Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: debhelper (>= 7.4),
                dbus,
                libglib2.0-dev (>= 2.25.11),
                libdbus-glib-1-dev (>= 0.82),
                libdbus-1-dev (>= 0.1.0),
-               libtelepathy-glib-dev (>= 0.11.5),
+               libtelepathy-glib-dev (>= 0.14.0),
                pkg-config (>= 0.21),
-               gnome-doc-utils (>= 0.17.3),
                gtk-doc-tools (>= 1.10),
                libsqlite3-dev,
-               libxml2-dev
+               libxml2-dev,
+               libgirepository1.0-dev (>= 0.10.0),
+               gobject-introspection (>= 0.10.0),
+               gir1.2-glib-2.0,
+               gir1.2-telepathyglib-0.12
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-logger.git
 Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-logger.git
@@ -26,7 +29,8 @@
 
 Package: telepathy-logger
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libtelepathy-logger2 (= ${binary:Version}),
+         ${shlibs:Depends}, ${misc:Depends}
 Recommends: libdconf0
 Description: Telepathy logger service - Daemon
  This package contains the Telepathy Logger daemon.
@@ -36,7 +40,7 @@
  differences between protocols to provide a unified interface for
  applications.
 
-Package: libtelepathy-logger1
+Package: libtelepathy-logger2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Telepathy logger service - utility library
@@ -50,7 +54,7 @@
 Package: libtelepathy-logger-dev
 Architecture: any
 Section: libdevel
-Depends: libtelepathy-logger1 (= ${binary:Version}), libglib2.0-dev (>= 2.22), libdbus-glib-1-dev (>= 0.11.5), pkg-config (>= 0.21), ${misc:Depends}
+Depends: libtelepathy-logger2 (= ${binary:Version}), libglib2.0-dev (>= 2.22), libdbus-glib-1-dev (>= 0.11.5), pkg-config (>= 0.21), ${misc:Depends}
 Suggests: libtelepathy-logger-doc
 Description: Telepathy logger service -- utility library (headers)
  This package contains development files for the Telepathy logger utility
@@ -61,11 +65,12 @@
  differences between protocols to provide a unified interface for
  applications.
 
-Package: libtelepathy-logger1-dbg
+Package: libtelepathy-logger2-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libtelepathy-logger1 (= ${binary:Version}), ${misc:Depends}
+Depends: libtelepathy-logger2 (= ${binary:Version}), ${misc:Depends}
+Replaces: libtelepathy-logger1-dbg
 Description: Telepathy logger service -- debug symbols
  This package contains support for debugging programs that use the Telepathy
  logger library and for the Telepathy logger daemon.
@@ -88,3 +93,14 @@
  including instant messaging, voice calls and video calls. It abstracts
  differences between protocols to provide a unified interface for
  applications.
+
+Package: gir1.2-telepathylogger-0.2
+Architecture: any
+Depends: ${gir:Depends}, ${misc:Depends}
+Description: Telepathy logger service - introspection
+ This package contains the introspection data for Telepathy logger.
+ .
+ Telepathy is a D-Bus framework for unifying real time communication,
+ including instant messaging, voice calls and video calls. It abstracts
+ differences between protocols to provide a unified interface for
+ applications.

## telepathy-logger 0.2.10

=== debian/changelog ===
telepathy-logger (0.2.10-2) unstable; urgency=low

  * debian/control:
    - Make libtelepathy-logger-dev Depends against gir1.2-telepathylogger-0.2
      (per policy)
    - Drop Recommends against libdconf0 and bump debhelper version to be sure
      dh_installgsettings is called to set correct dependencies
    - Bump Standards-Version to 3.9.2 (no further changes)
  * debian/rules: Enable Call logging support
  * debian/libtelepathy-logger2.symbols: Adjust .symbols file for Call logging

 -- Laurent Bigonville <bigon@debian.org>  Wed, 27 Jul 2011 21:16:09 +0200

telepathy-logger (0.2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/libtelepathy-logger2.symbols: Updated for new release.

 -- Jonny Lamb <jonny@debian.org>  Tue, 07 Jun 2011 10:26:37 +0100

telepathy-logger (0.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 13 May 2011 12:35:32 +0100

telepathy-logger (0.2.8-2) unstable; urgency=low

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 11 Apr 2011 18:03:01 +0200

telepathy-logger (0.2.8-1) experimental; urgency=low

  * New upstream release.
    - Fix infinite loop in pending message cache logic
  * debian/libtelepathy-logger2.symbols: Adjust .symbols file

 -- Laurent Bigonville <bigon@debian.org>  Fri, 01 Apr 2011 10:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Laurent Bigonville <bigon@debian.org>,
            Jonny Lamb <jonny@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>
-Build-Depends: debhelper (>= 7.4),
+Build-Depends: debhelper (>= 8.1.3~),
                dbus,
                libglib2.0-dev (>= 2.25.11),
                libdbus-glib-1-dev (>= 0.82),
@@ -22,7 +22,7 @@
                gobject-introspection (>= 0.10.0),
                gir1.2-glib-2.0,
                gir1.2-telepathyglib-0.12
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-logger.git
 Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-logger.git
 Homepage: http://telepathy.freedesktop.org/wiki/
@@ -31,7 +31,6 @@
 Architecture: any
 Depends: libtelepathy-logger2 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
-Recommends: libdconf0
 Description: Telepathy logger service - Daemon
  This package contains the Telepathy Logger daemon.
  .
@@ -54,7 +53,12 @@
 Package: libtelepathy-logger-dev
 Architecture: any
 Section: libdevel
-Depends: libtelepathy-logger2 (= ${binary:Version}), libglib2.0-dev (>= 2.22), libdbus-glib-1-dev (>= 0.11.5), pkg-config (>= 0.21), ${misc:Depends}
+Depends: libtelepathy-logger2 (= ${binary:Version}),
+         gir1.2-telepathylogger-0.2 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.22),
+         libdbus-glib-1-dev (>= 0.11.5),
+         pkg-config (>= 0.21),
+         ${misc:Depends}
 Suggests: libtelepathy-logger-doc
 Description: Telepathy logger service -- utility library (headers)
  This package contains development files for the Telepathy logger utility

## telepathy-logger 0.2.12

=== debian/changelog ===
telepathy-logger (0.2.12-1) unstable; urgency=low

  * New upstream release.
    - Adjust .symbols file
    - Bump libtelepathy-glib-dev build-dependency to 0.15.6
  * Follow Multi-arch policy
  * debian/control: Update Vcs-* URL
  * debian/*.install: Drop 'debian/tmp' prefix

 -- Laurent Bigonville <bigon@debian.org>  Wed, 04 Jan 2012 12:28:14 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libglib2.0-dev (>= 2.25.11),
                libdbus-glib-1-dev (>= 0.82),
                libdbus-1-dev (>= 0.1.0),
-               libtelepathy-glib-dev (>= 0.14.0),
+               libtelepathy-glib-dev (>= 0.15.6),
                pkg-config (>= 0.21),
                gtk-doc-tools (>= 1.10),
                libsqlite3-dev,
@@ -23,8 +23,8 @@
                gir1.2-glib-2.0,
                gir1.2-telepathyglib-0.12
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-logger.git
-Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-logger.git
+Vcs-Git: git://anonscm.debian.org/git/pkg-telepathy/telepathy-logger.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/telepathy-logger.git
 Homepage: http://telepathy.freedesktop.org/wiki/
 
 Package: telepathy-logger
@@ -42,6 +42,8 @@
 Package: libtelepathy-logger2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Telepathy logger service - utility library
  This package contains a utility library to access Telepathy log files
  .
@@ -75,6 +77,7 @@
 Priority: extra
 Depends: libtelepathy-logger2 (= ${binary:Version}), ${misc:Depends}
 Replaces: libtelepathy-logger1-dbg
+Multi-Arch: same
 Description: Telepathy logger service -- debug symbols
  This package contains support for debugging programs that use the Telepathy
  logger library and for the Telepathy logger daemon.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir="\$${prefix}/lib/telepathy" \
		--disable-Werror \
		--enable-gtk-doc \
		--with-html-dir=\$${prefix}/share/doc/libtelepathy-logger-doc \
		--enable-call \
		--enable-introspection

override_dh_strip:
	dh_strip --dbg-package=libtelepathy-logger2-dbg

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository

# commands not to run
override_dh_auto_test:

## telepathy-logger 0.4.0

=== debian/changelog ===
telepathy-logger (0.4.0-1) unstable; urgency=low

  * New upstream release.
    - Drop --enable-call to configure, call is always enabled now
    - Bump libtelepathy-glib-dev build-dependency
  * debian/control:
    - Move gir1.2-telepathylogger-0.2 to introspection Section
    - Bump debhelper build-dependency to 9
    - Bump Standards-Version to 3.9.3 (no further changes)
    - Move telepathy-logger to Section utils (Closes: #663080)
  * debian/libtelepathy-logger2.symbols: Bump Call API to 0.2.13, with that
    version Call support is enabled by default

 -- Laurent Bigonville <bigon@debian.org>  Wed, 02 May 2012 15:55:41 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
            Laurent Bigonville <bigon@debian.org>,
            Jonny Lamb <jonny@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>
-Build-Depends: debhelper (>= 8.1.3~),
+Build-Depends: debhelper (>= 9),
                dbus,
                libglib2.0-dev (>= 2.25.11),
                libdbus-glib-1-dev (>= 0.82),
                libdbus-1-dev (>= 0.1.0),
-               libtelepathy-glib-dev (>= 0.15.6),
+               libtelepathy-glib-dev (>= 0.18),
                pkg-config (>= 0.21),
                gtk-doc-tools (>= 1.10),
                libsqlite3-dev,
@@ -22,13 +22,14 @@
                gobject-introspection (>= 0.10.0),
                gir1.2-glib-2.0,
                gir1.2-telepathyglib-0.12
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/git/pkg-telepathy/telepathy-logger.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/telepathy-logger.git
 Homepage: http://telepathy.freedesktop.org/wiki/
 
 Package: telepathy-logger
 Architecture: any
+Section: utils
 Depends: libtelepathy-logger2 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: Telepathy logger service - Daemon
@@ -103,6 +104,7 @@
 
 Package: gir1.2-telepathylogger-0.2
 Architecture: any
+Section: introspection
 Depends: ${gir:Depends}, ${misc:Depends}
 Description: Telepathy logger service - introspection
  This package contains the introspection data for Telepathy logger.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 		--disable-Werror \
 		--enable-gtk-doc \
 		--with-html-dir=\$${prefix}/share/doc/libtelepathy-logger-doc \
-		--enable-call \
 		--enable-introspection
 
 override_dh_strip:

## telepathy-logger 0.4.5-0ubuntu1newyork11

=== debian/changelog ===
telepathy-logger (0.4.5-0ubuntu1newyork11) precise; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Make the ufa log entries more standard to be compatible with other store backends

  [ root ]
  * Auto build.

 -- root <root@ps-clean-precise-i386.defaultdomain>  Thu, 06 Sep 2012 19:52:18 +0000

telepathy-logger (0.4.5-0ubuntu1newyork10) precise; urgency=low

  * Set the message-token to the android message id. (LP: #1031905)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Fri, 10 Aug 2012 18:08:07 -0300

telepathy-logger (0.4.5-0ubuntu1newyork9) precise; urgency=low

  * Update message structure parse to add the field conversation id.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Wed, 18 Jul 2012 18:09:45 -0300

telepathy-logger (0.4.5-0ubuntu1newyork8) precise; urgency=low

  * Fixed "edit-timestamp" in TEXT_EVENT to notify when the message was read or not. 

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Mon, 16 Jul 2012 15:33:39 -0300

telepathy-logger (0.4.5-0ubuntu1newyork7) precise; urgency=low

  * Now the cache is marked as dirty when received a update from server, then we wait for the next request to update. 

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 03 Jul 2012 14:01:51 -0700

telepathy-logger (0.4.5-0ubuntu1newyork6) precise; urgency=low

  * Updated the method "log_store_ufa_get_entities" to return chat rooms instead of contacts for conversation.
    (LP: #1019041)

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 03 Jul 2012 11:28:51 -0700

telepathy-logger (0.4.5-0ubuntu1newyork5) precise; urgency=low

  * Implemented support for new service API
  * Used <cotact-id>:<phone-number>  as log entry id

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 27 Jun 2012 16:58:22 -0700

telepathy-logger (0.4.5-0ubuntu1newyork4) precise; urgency=low

  * disable telepathy-logger daemon and avoid duplicated sms/call log entries
  * update dbus signature for mms support

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Mon, 25 Jun 2012 15:36:06 -0700

telepathy-logger (0.4.5-0ubuntu1newyork3) precise; urgency=low

  * When changes in the call log and messages happen, just clear the cache and
    load the new entries only when needed.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Thu, 21 Jun 2012 20:57:27 -0300

telepathy-logger (0.4.5-0ubuntu1newyork2) precise; urgency=low

  * Fix concurrent access to the ufa store when the cache is not fully loaded.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Mon, 18 Jun 2012 20:20:16 -0300

telepathy-logger (0.4.5-0ubuntu1newyork1) precise; urgency=low

  * Fixed merge error.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Mon, 18 Jun 2012 14:27:17 -0700

telepathy-logger (0.4.4-0ubuntu1newyork1) precise; urgency=low

  * Fixed log load.
  * Optimized object contructor.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Mon, 18 Jun 2012 11:09:26 -0700

telepathy-logger (0.4.3-0ubuntu1newyork2) precise; urgency=low

  * Use the correct mask for the text messages

 -- Gustavo Pichorim Boiko <gustavo.boikO@canonical.com>  Fri, 15 Jun 2012 19:31:43 -0300

telepathy-logger (0.4.3-0ubuntu1newyork1) precise; urgency=low

  * Fixes lp:1013297 

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Thu, 14 Jun 2012 17:38:42 -0700

telepathy-logger (0.4.2-0ubuntu1newyork1) precise; urgency=low

  * Fixed duplicated logs.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 12 Jun 2012 13:36:23 -0700

telepathy-logger (0.4.1-0ubuntu1newyork1) precise; urgency=low

  * Optimized Ufa store. 
  * Fixed segfault on Ufa store.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Tue, 12 Jun 2012 08:56:45 -0700

telepathy-logger (0.4.0-0ubuntu1newyork5) precise; urgency=low

  * Fix the ufa account detection

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Fri, 08 Jun 2012 17:15:10 -0300

telepathy-logger (0.4.0-0ubuntu1newyork4) precise; urgency=low

  * Implemented support for sms messages in the ufa logger store.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Fri, 08 Jun 2012 10:55:24 -0300

telepathy-logger (0.4.0-0ubuntu1newyork3) precise; urgency=low

  * Fixed debian source format.

 -- Renato Araujo <renato@renato.lenovo>  Wed, 06 Jun 2012 12:40:20 -0700

telepathy-logger (0.4.0-0ubuntu1newyork2) precise; urgency=low

  * Fixed debian package build.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 06 Jun 2012 08:18:13 -0700

telepathy-logger (0.4.0-0ubuntu1newyork1) precise; urgency=low

  * Implemented support for ufa logger store.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Mon, 04 Jun 2012 13:48:36 -0700

telepathy-logger (0.4.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Support Call1 interface
  * debian/control
    - require debhelper 9

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 03 Apr 2012 13:34:55 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libglib2.0-dev (>= 2.25.11),
                libdbus-glib-1-dev (>= 0.82),
                libdbus-1-dev (>= 0.1.0),
-               libtelepathy-glib-dev (>= 0.18),
+               libtelepathy-glib-dev (>= 0.15.6),
                pkg-config (>= 0.21),
                gtk-doc-tools (>= 1.10),
                libsqlite3-dev,
@@ -22,14 +22,13 @@
                gobject-introspection (>= 0.10.0),
                gir1.2-glib-2.0,
                gir1.2-telepathyglib-0.12
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Vcs-Git: git://anonscm.debian.org/git/pkg-telepathy/telepathy-logger.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/telepathy-logger.git
 Homepage: http://telepathy.freedesktop.org/wiki/
 
 Package: telepathy-logger
 Architecture: any
-Section: utils
 Depends: libtelepathy-logger2 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: Telepathy logger service - Daemon
@@ -104,7 +103,6 @@
 
 Package: gir1.2-telepathylogger-0.2
 Architecture: any
-Section: introspection
 Depends: ${gir:Depends}, ${misc:Depends}
 Description: Telepathy logger service - introspection
  This package contains the introspection data for Telepathy logger.

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,12 @@
 	dh $@
 
 override_dh_auto_configure:
+	./autogen.sh --prefix=/usr
 	dh_auto_configure -- --libexecdir="\$${prefix}/lib/telepathy" \
 		--disable-Werror \
 		--enable-gtk-doc \
 		--with-html-dir=\$${prefix}/share/doc/libtelepathy-logger-doc \
+		--enable-call \
 		--enable-introspection
 
 override_dh_strip:

## telepathy-logger 0.6.0

=== debian/changelog ===
telepathy-logger (0.6.0-3) experimental; urgency=low

  * debian/control: Add Breaks/Replaces for libtelepathy-logger2 (= 0.6.0-1),
    this exact version was shipping libtelepathy-logger3 library

 -- Laurent Bigonville <bigon@debian.org>  Mon, 14 Jan 2013 01:08:57 +0100

telepathy-logger (0.6.0-2) experimental; urgency=low

  * Properly bump soname, woops

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 29 Dec 2012 20:48:35 +0100

telepathy-logger (0.6.0-1) experimental; urgency=low

  * New upstream release
  * d/p/0001-Fix-introspection-warnings.patch
    d/p/0002-log-manager-Fix-annotations-on-get_filtered_events.patch:
    - Removed. Fixed upstream
  * debian/control: Update b-d on telepathy-glib
  * Target experimental

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 29 Dec 2012 16:42:53 +0100

telepathy-logger (0.4.0-2) experimental; urgency=low

  * debian/gbp.conf: branch for experimental
  * d/p/0001-Fix-introspection-warnings.patch
    d/p/0002-log-manager-Fix-annotations-on-get_filtered_events.patch:
      - Added. Fix introspection for get_filtered_events, From upstream git

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 13 Oct 2012 16:10:21 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libglib2.0-dev (>= 2.25.11),
                libdbus-glib-1-dev (>= 0.82),
                libdbus-1-dev (>= 0.1.0),
-               libtelepathy-glib-dev (>= 0.15.6),
+               libtelepathy-glib-dev (>= 0.19.2),
                pkg-config (>= 0.21),
                gtk-doc-tools (>= 1.10),
                libsqlite3-dev,
@@ -22,14 +22,15 @@
                gobject-introspection (>= 0.10.0),
                gir1.2-glib-2.0,
                gir1.2-telepathyglib-0.12
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/git/pkg-telepathy/telepathy-logger.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/telepathy-logger.git
 Homepage: http://telepathy.freedesktop.org/wiki/
 
 Package: telepathy-logger
 Architecture: any
-Depends: libtelepathy-logger2 (= ${binary:Version}),
+Section: utils
+Depends: libtelepathy-logger3 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Description: Telepathy logger service - Daemon
  This package contains the Telepathy Logger daemon.
@@ -39,11 +40,13 @@
  differences between protocols to provide a unified interface for
  applications.
 
-Package: libtelepathy-logger2
+Package: libtelepathy-logger3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
+Breaks: libtelepathy-logger2 (= 0.6.0-1)
+Replaces: libtelepathy-logger2 (= 0.6.0-1)
 Description: Telepathy logger service - utility library
  This package contains a utility library to access Telepathy log files
  .
@@ -55,7 +58,7 @@
 Package: libtelepathy-logger-dev
 Architecture: any
 Section: libdevel
-Depends: libtelepathy-logger2 (= ${binary:Version}),
+Depends: libtelepathy-logger3 (= ${binary:Version}),
          gir1.2-telepathylogger-0.2 (= ${binary:Version}),
          libglib2.0-dev (>= 2.22),
          libdbus-glib-1-dev (>= 0.11.5),
@@ -71,12 +74,13 @@
  differences between protocols to provide a unified interface for
  applications.
 
-Package: libtelepathy-logger2-dbg
+Package: libtelepathy-logger3-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libtelepathy-logger2 (= ${binary:Version}), ${misc:Depends}
-Replaces: libtelepathy-logger1-dbg
+Depends: libtelepathy-logger3 (= ${binary:Version}), ${misc:Depends}
+Breaks: libtelepathy-logger2-dbg (= 0.6.0-1)
+Replaces: libtelepathy-logger1-dbg, libtelepathy-logger2-dbg (= 0.6.0-1)
 Multi-Arch: same
 Description: Telepathy logger service -- debug symbols
  This package contains support for debugging programs that use the Telepathy
@@ -103,6 +107,7 @@
 
 Package: gir1.2-telepathylogger-0.2
 Architecture: any
+Section: introspection
 Depends: ${gir:Depends}, ${misc:Depends}
 Description: Telepathy logger service - introspection
  This package contains the introspection data for Telepathy logger.

## telepathy-logger 0.8.0

=== debian/changelog ===
telepathy-logger (0.8.0-3) unstable; urgency=medium

  * Use dh-autoreconf to cope with ports to new architectures better
    (Closes: #734459, based on Ubuntu patch by Colin Watson)
  * Drop obsolete versioned dependency on pkg-config (similar to #734487)
  * Standards-Version: 3.9.5 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Jan 2014 12:49:05 +0000

telepathy-logger (0.8.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Use canonical URL for Vcs-Git field

 -- Laurent Bigonville <bigon@debian.org>  Sat, 07 Sep 2013 00:44:28 +0200

telepathy-logger (0.8.0-1) experimental; urgency=low

  * New upstream release
  * debian/control: Bump libglib2.0-dev build-depbs
  * debian/libtelepathy-logger3.symbols: Updated

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 02 Mar 2013 17:37:10 +0100

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
            Laurent Bigonville <bigon@debian.org>,
            Jonny Lamb <jonny@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>
-Build-Depends: debhelper (>= 9),
-               dbus,
-               libglib2.0-dev (>= 2.25.11),
+Build-Depends: dbus,
+               debhelper (>= 9),
+               dh-autoreconf,
+               libglib2.0-dev (>= 2.28),
                libdbus-glib-1-dev (>= 0.82),
                libdbus-1-dev (>= 0.1.0),
                libtelepathy-glib-dev (>= 0.19.2),
-               pkg-config (>= 0.21),
+               pkg-config,
                gtk-doc-tools (>= 1.10),
                libsqlite3-dev,
                libxml2-dev,
@@ -22,8 +23,8 @@
                gobject-introspection (>= 0.10.0),
                gir1.2-glib-2.0,
                gir1.2-telepathyglib-0.12
-Standards-Version: 3.9.3
-Vcs-Git: git://anonscm.debian.org/git/pkg-telepathy/telepathy-logger.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-telepathy/telepathy-logger.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/telepathy-logger.git
 Homepage: http://telepathy.freedesktop.org/wiki/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir="\$${prefix}/lib/telepathy" \
		--disable-Werror \
		--enable-gtk-doc \
		--with-html-dir=\$${prefix}/share/doc/libtelepathy-logger-doc \
		--enable-introspection

override_dh_strip:
	dh_strip --dbg-package=libtelepathy-logger3-dbg

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository

# commands not to run
override_dh_auto_test:

=== debian/watch ===
version=3
http://telepathy.freedesktop.org/releases/telepathy-logger/telepathy-logger-(.*).tar.bz2

## telepathy-logger 0.8.1

=== debian/changelog ===
telepathy-logger (0.8.1-1) unstable; urgency=medium

  * Disable "quiet" Makefile output
  * debian/watch: only watch for 0.x stable versions
  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Sep 2014 19:04:22 +0100

## telepathy-logger 0.8.2

=== debian/changelog ===
telepathy-logger (0.8.2-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Remove myself from Uploaders

  [ Laurent Bigonville ]
  * New upstream release
  * debian/control: Drop versionized dependency against pkg-config (Closes:
    #734488)
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Nov 2015 11:33:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
 Uploaders: Dafydd Harries <daf@debian.org>,
-           Simon McVittie <smcv@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Laurent Bigonville <bigon@debian.org>,
            Jonny Lamb <jonny@debian.org>,
@@ -23,7 +22,7 @@
                gobject-introspection (>= 0.10.0),
                gir1.2-glib-2.0,
                gir1.2-telepathyglib-0.12
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-telepathy/telepathy-logger.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-telepathy/telepathy-logger.git
 Homepage: http://telepathy.freedesktop.org/wiki/
@@ -63,7 +62,7 @@
          gir1.2-telepathylogger-0.2 (= ${binary:Version}),
          libglib2.0-dev (>= 2.22),
          libdbus-glib-1-dev (>= 0.11.5),
-         pkg-config (>= 0.21),
+         pkg-config,
          ${misc:Depends}
 Suggests: libtelepathy-logger-doc
 Description: Telepathy logger service -- utility library (headers)

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 		--disable-Werror \
 		--enable-gtk-doc \
 		--with-html-dir=\$${prefix}/share/doc/libtelepathy-logger-doc \
-		--enable-introspection
+		--enable-introspection \
+		--disable-silent-rules \
+		$(NULL)
 
 override_dh_strip:
 	dh_strip --dbg-package=libtelepathy-logger3-dbg

=== debian/watch ===
version=3
http://telepathy.freedesktop.org/releases/telepathy-logger/telepathy\-logger\-(0\.[0-9]*[24680]\..*)\.tar\.(?:gz|bz2|xz)
